This API is based on REST principles, it means that you just need an HTTP library to use it. So, you can develop with the language of your choice.
You need an API Key findable in your account page which must be present in every requests via the parameter name api_key. See examples below.
curl http://heyspread.com/api2/video/540?api_key=API_KEY curl -X POST -d "param1=value1&...&api_key=API_KEY" "http://heyspread.com/api2/..."
HeySpread::Account.api_key = "API_KEY"
define("HEYSPREAD_API_KEY", "API_KEY");
When a video is successfully uploaded, you can receive a POST HTTP notification. See this page.
Use this endpoint to access the Hey!Spread API: http://heyspread.com/api2/.
Supported video sites.
Retrieve the list of supported video sites
Upload a video to the most popular video sites.
Retrieve information about an upload
Upload to the video sites
Restart the failed uploads
Enable statistics
Delete the video from all the sites
Check your credentials to know if they're valid and save them.
Save credentials
Check if the credentials are valid
Delete credentials
Get the stats of your videos in XML, CSV and update them when you want.
Retrieve statistics in many formats
Update the stats manually
Track the videos already uploaded.
Track the given videos
Migrate YouTube users to your video service.
Export all YouTube videos from an account to any other video sites
If you have questions, you can ask on the forum or by email at heyspread at particle-s.com.